Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451493 - ircp -r tries to write files to /
Summary: ircp -r tries to write files to /
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openobex
Version: 9
Hardware: All
OS: All
low
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-14 21:56 UTC by Doncho Gunchev
Modified: 2015-02-01 22:48 UTC (History)
2 users (show)

Fixed In Version: 1.3-13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-09 08:48:29 UTC


Attachments (Terms of Use)
ircp path and file name calculation fix (deleted)
2008-06-14 21:56 UTC, Doncho Gunchev
no flags Details | Diff
patch for openobex.spec (deleted)
2008-06-14 21:57 UTC, Doncho Gunchev
no flags Details | Diff

Description Doncho Gunchev 2008-06-14 21:56:15 UTC
Description of problem:
ircp -r tries to write files to the '/' directory. ircp_io.c calculates file
name this way:

snprintf(diskname, MAXPATHLEN, "%s/%s", path, name);

which if path is empty results in '' + '/' + 'filename';

Version-Release number of selected component (if applicable):
openobex-1.3-11.fc9.src.rpm

How reproducible:
always

Steps to Reproduce:
1. ircp -r
  
Additional info:
I'll attach rediff-ed patch from debian and a diff for the spec file I used to
get this working.

Comment 1 Doncho Gunchev 2008-06-14 21:56:15 UTC
Created attachment 309371 [details]
ircp path and file name calculation fix

Comment 2 Doncho Gunchev 2008-06-14 21:57:41 UTC
Created attachment 309372 [details]
patch for openobex.spec

Comment 3 Fedora Update System 2008-06-18 09:33:53 UTC
openobex-1.3-13.fc9 has been submitted as an update for Fedora 9

Comment 4 Fedora Update System 2008-06-18 10:27:18 UTC
openobex-1.3-12.fc8 has been submitted as an update for Fedora 8

Comment 5 Fedora Update System 2008-06-20 19:12:15 UTC
openobex-1.3-13.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openobex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5523

Comment 6 Fedora Update System 2008-07-09 02:48:24 UTC
openobex-1.3-12.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-07-09 02:53:44 UTC
openobex-1.3-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-07-26 06:11:28 UTC
openobex-1.3-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.